## psocksxx 0.0.6

=== debian/changelog ===
psocksxx (0.0.6-2) unstable; urgency=medium

  * debian/rules:
    - Add *-indep rules to fix FTBFS when building
      architecture-specific targets (Closes: #768183).
  * debian/control:
    - Move doxygen from Build-Depends to Build-Depends-Indep.
  * debian/patches/10_test_network.patch:
    - Disable test_connect_addr test to fix FTBFS.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 06 Nov 2014 13:10:19 +0100

psocksxx (0.0.6-1) unstable; urgency=low

  * Initial release (Closes: #763432).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 04 Oct 2014 12:40:08 +0200
