=== debian/control ===
Source: psocksxx
Section: libs
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Uploaders: Uditha Atukorala <udi@geniusse.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libcunit1-dev,
 libcppunit-dev
Build-Depends-Indep:
 doxygen
Standards-Version: 3.9.6
Homepage: https://github.com/uditha-atukorala/psocksxx
Vcs-Git: git://anonscm.debian.org/collab-maint/psocksxx.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/psocksxx.git

Package: libpsocksxx0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: psocksxx is a C++ wrapper for POSIX sockets
 psocksxx library attempts to borrow the concepts from socket++ and
 socket-library, but not the code, and create a well documented (and
 hopefully easy to understand) POSIX socket communication wrapper in
 C++. To keep the code simple and clean this project will only support
 POSIX sockets.

Package: libpsocksxx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpsocksxx0 (= ${binary:Version}),
 ${misc:Depends}
Suggests: libpsocksxx-doc
Description: psocksxx is a C++ wrapper for POSIX sockets (development files)
 psocksxx library attempts to borrow the concepts from socket++ and
 socket-library, but not the code, and create a well documented (and
 hopefully easy to understand) POSIX socket communication wrapper in
 C++. To keep the code simple and clean this project will only support
 POSIX sockets.
 This package holds the development files.

Package: libpsocksxx-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: psocksxx is a C++ wrapper for POSIX sockets (documentation)
 psocksxx library attempts to borrow the concepts from socket++ and
 socket-library, but not the code, and create a well documented (and
 hopefully easy to understand) POSIX socket communication wrapper in
 C++. To keep the code simple and clean this project will only support
 POSIX sockets.
 This package holds the documentation.
