=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#
# Hardening
#
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


#
# add -Wall to compilerflags
#
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -Wall

%:
	dh $@ --with autoreconf

override_dh_auto_build-indep:
	dh_auto_build
	make -C doc doxygen-doc

override_dh_installdocs-indep:
	cp -r $(CURDIR)/doc/doxygen/html/* $(CURDIR)/debian/libpsocksxx-doc/usr/share/doc/libpsocksxx-doc/docs/
	dh_installdocs
