## psocksxx 1.1.0

=== debian/changelog ===
psocksxx (1.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix x32 symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Mar 2016 19:37:09 +0100

psocksxx (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols file, by restricting 64 bit architectures.
  * Fix sparc64 symbol.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Mar 2016 17:14:44 +0100

psocksxx (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Make build results reproducible (Closes: #789399):
    - New debian/patches/0700-ReproducibleBuilds.patch:
      At doxygen setup change HTML_TIMESTAMP to NO.
  * New debian/patches/0705-hurd.patch:
    - Add missing hurd/socket.h.
  * Rename debian/patches/10_test_network.patch to
    0001-disable_network_test.patch.
  * debian/rules:
    - Add override_dh_makeshlibs to remove the debian_revision for
      dpkg-gensymbols.
    - Refresh symbols files (Closes: #802523).
    - Rename libpsocksxx0.symbols.amd64 to libpsocksxx0.symbols to get
      symbols for all architectures.
  * debian/control:
    - Change uploader email.
    - Change homepage.
  * debian/copyright:
    - Change Source and upstream email.
    - Add 2015.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 14 Dec 2015 06:02:57 +0100
