=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Uploaders: Uditha Atukorala <udi@geniusse.com>
+Uploaders: Uditha Atukorala <ua@nuked.zone>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
@@ -11,7 +11,7 @@
 Build-Depends-Indep:
  doxygen
 Standards-Version: 3.9.6
-Homepage: https://github.com/uditha-atukorala/psocksxx
+Homepage: http://nukedzn.github.io/psocksxx
 Vcs-Git: git://anonscm.debian.org/collab-maint/psocksxx.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/psocksxx.git
