=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,12 @@
 #
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-
 #
 # add -Wall to compilerflags
 #
 export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -Wall
+
+UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -n '/\(Version:\)/{s/^Version:[[:space:]]\+\([0-9]\+:\)\?\(.*\)/\2/p}' | rev | cut -d- -f 2- | rev)
 
 %:
 	dh $@ --with autoreconf
@@ -25,3 +26,7 @@
 override_dh_installdocs-indep:
 	cp -r $(CURDIR)/doc/doxygen/html/* $(CURDIR)/debian/libpsocksxx-doc/usr/share/doc/libpsocksxx-doc/docs/
 	dh_installdocs
+
+override_dh_makeshlibs:
+	dh_makeshlibs
+	dpkg-gensymbols -v$(UPSTREAM_VERSION) -plibpsocksxx0
