=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/psocksxx-$1\.tar\.gz/ \
  https://github.com/uditha-atukorala/psocksxx/tags .*/v?(\d\S*)\.tar\.gz
