## psocksxx 1.1.1

=== debian/changelog ===
psocksxx (1.1.1-5) unstable; urgency=medium

  * debian/control:
    - Fix git URL.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 24 Mar 2024 10:00:10 +0100

psocksxx (1.1.1-4) unstable; urgency=medium

  * debian/control:
    - Change to new repository URL.
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).
  * debian/changelog:
    - Add 2024 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 03 Mar 2024 17:37:02 +0100

psocksxx (1.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063290

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:18:43 +0000

psocksxx (1.1.1-3) unstable; urgency=medium

  * Disable Link time optimization (Closes: #1015593):
    - debian/rules: Add optimize=-lto to DEB_BUILD_MAINT_OPTIONS.
  * Declare compliance with Debian Policy 4.6.1.0 (No changes needed).
  * To build new files remove symbols files (Closes: #1014158).
  * debian/copyright:
    - Add year 2022 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 24 Jul 2022 15:13:16 +0200

psocksxx (1.1.1-2) unstable; urgency=medium

  * Fix ftbfs with GCC-11 (Closes: #984299):
    - debian rules: Add -std=c++14 to buildflags.
  * Declare compliance with Debian Policy 4.6.0.1 (No changes needed).
  * Migrate to debhelper-compat 13:
    - Remove debian/compat.
    - debian/control:
      + Bump minimum debhelper-compat version to = 13.
    - New debian/not-installed.
  * Remove useless debian/libpsocksxx-doc.lintian-overrides.
  * New debian/0115-doxygen_path.patch to remove full path from documentation.
  * New debian/0120-privicy.patch to remove external links from documentation.
  * Add some missing DEP-3 headers.
  * debian/control:
    - Add Rules-Requires-Root: no.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 26 Nov 2021 15:31:46 +0100

psocksxx (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * debian/control:
    - Change to my new mail address.
    - Switch Vcs-* to new location.
    - Remove now default Build-Depends dh-autoreconf.
    - Use secure URI for homepage.
  * debian/copyright:
    - Change to my new mail address.
    - Use secure URI for copyright format.
    - Add year 2018 for packaging.
  * debian/rules:
    - Remove now default --with autoreconf.
    - Replace parsing the output of dpkg-parsechangelog with
      $(DEB_VERSION_UPSTREAM).
  * Remove debian/libpsocksxx-doc.docs to prevent twin install of README.md.
  * New README.source to explain the branching model used.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 10 Jul 2018 18:30:20 +0200

psocksxx (1.1.0-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change VCS-Browser to secure URI.
  * debian/watch:
    - Bump version to 4 (no changes required).
  * debian/copyright:
    - Add 2016 to debian/* and debian/patches/*.
  * Bump compatlevel to 10 (no changes required):
    - Change debian/compat to 10.
    - At debian/control change requested version of debhelper to >= 10.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 15 Oct 2016 04:30:33 +0200
