=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: psocksxx
 Section: libs
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Uploaders: Uditha Atukorala <ua@nuked.zone>
-Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
  libcunit1-dev,
  libcppunit-dev
 Build-Depends-Indep:
  doxygen
-Standards-Version: 3.9.6
-Homepage: http://nukedzn.github.io/psocksxx
-Vcs-Git: git://anonscm.debian.org/collab-maint/psocksxx.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/psocksxx.git
+Standards-Version: 4.6.2.0
+Rules-Requires-Root: no
+Homepage: https://nukedzn.github.io/psocksxx
+Vcs-Git: git://git.jff.email/psocksxx.git
+Vcs-Browser: https://git.jff.email/cgit/psocksxx.git
 
-Package: libpsocksxx0
+Package: libpsocksxx0t64
+Provides: ${t64:Provides}
+Replaces: libpsocksxx0
+Breaks: libpsocksxx0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -35,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libpsocksxx0 (= ${binary:Version}),
+ libpsocksxx0t64 (= ${binary:Version}),
  ${misc:Depends}
 Suggests: libpsocksxx-doc
 Description: psocksxx is a C++ wrapper for POSIX sockets (development files)
