=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/dpkg/buildtools.mk

#
# for use $(DEB_ ...
#
include /usr/share/dpkg/default.mk


#
# Hardening
#
export DEB_BUILD_MAINT_OPTIONS = hardening=+all, optimize=-lto

#
# add -Wall to compilerflags
#
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -Wall -std=c++14
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) -Wall -std=c++14


%:
	dh $@

override_dh_auto_build-indep:
	dh_auto_build
	make -C doc doxygen-doc

override_dh_installdocs-indep:
	cp -r $(CURDIR)/doc/doxygen/html/* $(CURDIR)/debian/libpsocksxx-doc/usr/share/doc/libpsocksxx-doc/docs/
	dh_installdocs

override_dh_makeshlibs:
	dh_makeshlibs
	dpkg-gensymbols -v$(DEB_VERSION_UPSTREAM) -plibpsocksxx0
